"""update restore condor templates

Revision ID: 15d7b52aace4
Revises: fb911077e1e6
Create Date: 2024-06-03 10:44:51.361713

"""
from pathlib import Path

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "15d7b52aace4"
down_revision = "fb911077e1e6"
branch_labels = None
depends_on = None


def set_content(wf_name: str, filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / wf_name / filename).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "envoy_condor_2.8.4.txt")}'
        WHERE filename='restore_cms_envoy.condor'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{set_content("restore_cms", "lustre_only_envoy_2.7.txt")}'
        WHERE filename='restore_cms_envoy.condor'
        """
    )
