# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""Rename old notifications

Revision ID: 3b2996519a0f
Revises: 454a115424e3
Create Date: 2022-04-01 01:34:46.985980

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "3b2996519a0f"
down_revision = "454a115424e3"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("UPDATE notification_templates SET name = 'workflow-complete'  WHERE name = 'complete_email' ")
    op.execute("UPDATE notification_templates SET name = 'workflow-submitted' WHERE name = 'submitted_email'")
    op.execute("UPDATE notification_templates SET name = 'workflow-failed'    WHERE name = 'failed_email'   ")


def downgrade():
    op.execute("UPDATE notification_templates SET name = 'complete_email'  WHERE name = 'workflow-complete' ")
    op.execute("UPDATE notification_templates SET name = 'submitted_email' WHERE name = 'workflow-submitted'")
    op.execute("UPDATE notification_templates SET name = 'failed_email'    WHERE name = 'workflow-failed'   ")
