#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
from abc import ABC

from workspaces.products.schema_interfaces import ProductIF


class EventTranslatorIF(ABC):
    """
    Translates a Workflow event into a Capability event
    """

    pass


class FutureCapabilityResultIF(ProductIF):
    """
    Class that represents a product that will in the future result from a completed
    capability execution
    """

    pass


class ParameterIF(ABC):
    """
    Class that represents a set of capability parameters, a required input for the correct
    and complete execution of a capability
    """

    def json(self) -> str:
        """
        Convert to json-formatted string
        :return: JSON string
        """
        raise NotImplementedError
